select `module_id` into @module_id
from `ombutel`.`ombu_modules`
where `name` = 'complete_concierge';

select `category_id` into @category_id
from `ombutel`.`ombu_destination_categories`
where `name` = 'terminate_call';

-- create route selections

insert ignore into `ombutel`.`ombu_ars` (`description`) values
	('CC - Internal'),
	('CC - Local'),
	('CC - National'),
	('CC - International');

select `ars_id` into @cs0_ars_id
from `ombutel`.`ombu_ars`
where `description` = 'CC - Internal';

select `ars_id` into @cs1_ars_id
from `ombutel`.`ombu_ars`
where `description` = 'CC - Local';

select `ars_id` into @cs2_ars_id
from `ombutel`.`ombu_ars`
where `description` = 'CC - National';

select `ars_id` into @cs3_ars_id
from `ombutel`.`ombu_ars`
where `description` = 'CC - International';

-- create feature category

insert ignore into `ombutel`.`ombu_feature_code_categories` (`description`) values ('CC_features');

select`feature_code_category_id` into @cc_feature_category_id
from `ombutel`.`ombu_feature_code_categories`
where `description` = 'CC_features';

insert ignore into `ombutel`.`ombu_feature_code_category_members`
	(`feature_code_category_id`, `feature_code_id`)
select
	@cc_feature_category_id,
	`feature_code_id`
from `ombutel`.`ombu_feature_codes`
where `feature_name` in (
	'request_wakeup_call',
	'speak_last_number',
	'say_date_time',
	'speak_ext_number',
	'direct_vm',
	'echo_test',
	'cc_room_status_inline',
	'cc_room_status',
	'cc_minibar'
);

-- create bad destinations

select `bad_destination_id` into @cs0_bad_destination_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_internal';

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`)
select @category_id, @module_id, 1 from (
	select @cs0_bad_destination_id as `bad_destination_id`
) t where `bad_destination_id` is null;

select coalesce(@cs0_bad_destination_id, last_insert_id()) into @cs0_bad_destination_id;

select `bad_destination_id` into @cs1_bad_destination_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_local';

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`)
select @category_id, @module_id, 1 from (
	select @cs1_bad_destination_id as `bad_destination_id`
) t where `bad_destination_id` is null;

select coalesce(@cs1_bad_destination_id, last_insert_id()) into @cs1_bad_destination_id;

select `bad_destination_id` into @cs2_bad_destination_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_national';

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`)
select @category_id, @module_id, 1 from (
	select @cs2_bad_destination_id as `bad_destination_id`
) t where `bad_destination_id` is null;

select coalesce(@cs2_bad_destination_id, last_insert_id()) into @cs2_bad_destination_id;

select `bad_destination_id` into @cs3_bad_destination_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_international';

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`)
select @category_id, @module_id, 1 from (
	select @cs3_bad_destination_id as `bad_destination_id`
) t where `bad_destination_id` is null;

select coalesce(@cs3_bad_destination_id, last_insert_id()) into @cs3_bad_destination_id;

-- create class of service

insert ignore into `ombutel`.`ombu_classes_of_service`
	(`cos`, `description`, `feature_code_category_id`, `ars_id`, `bad_destination_id`) values
	('cc_internal', 'Complete Concierge - Internal', @cc_feature_category_id, @cs0_ars_id, @cs0_bad_destination_id),
	('cc_local', 'Complete Concierge - Local', @cc_feature_category_id, @cs1_ars_id, @cs1_bad_destination_id),
	('cc_national', 'Complete Concierge - National', @cc_feature_category_id, @cs2_ars_id, @cs2_bad_destination_id),
	('cc_international', 'Complete Concierge - International', @cc_feature_category_id, @cs3_ars_id, @cs3_bad_destination_id);

select `class_of_service_id` into @cs0_class_of_service_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_internal';

select `class_of_service_id` into @cs1_class_of_service_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_local';

select `class_of_service_id` into @cs2_class_of_service_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_national';

select `class_of_service_id` into @cs3_class_of_service_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_international';

-- configure settings

insert ignore into `hospitality`.`settings` (`name`, `value`) values
	('cs0', @cs0_class_of_service_id),
	('cs1', @cs1_class_of_service_id),
	('cs2', @cs2_class_of_service_id),
	('cs3', @cs3_class_of_service_id)
on duplicate key update `value` = values(`value`);
